Get information about the SMTP (email) settings in use by the Octopus Server
GET /api
Response
200 — The requested SMTP configuration
DetailsobjectCredentialTypestring
EnableSslbooleanIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.SendEmailFromstringSmtpHoststringSmtpPortnumber
Minimum0. Maximum65535.Timeoutinteger
Example Response
JSON
{
"Details": {
"CredentialType": "string"
},
"EnableSsl": true,
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"SendEmailFrom": "string",
"SmtpHost": "string",
"SmtpPort": 0,
"Timeout": 0
}Update the SMTP settings used by the Octopus Server
PUT /api
Request Body
DetailsobjectCredentialTypestring
EnableSslbooleanSendEmailFromstringSmtpHoststringSmtpPortinteger
Minimum0. Maximum65535.Timeoutinteger
Response
200 — Confirmation that SMTP Configuration was modified, containing the new configuration
DetailsobjectCredentialTypestring
EnableSslbooleanIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.SendEmailFromstringSmtpHoststringSmtpPortnumber
Minimum0. Maximum65535.Timeoutinteger
Example Request
JSON
{
"Details": {
"CredentialType": "string"
},
"EnableSsl": true,
"SendEmailFrom": "string",
"SmtpHost": "string",
"SmtpPort": 0,
"Timeout": 0
}Example Response
JSON
{
"Details": {
"CredentialType": "string"
},
"EnableSsl": true,
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"SendEmailFrom": "string",
"SmtpHost": "string",
"SmtpPort": 0,
"Timeout": 0
}Check whether SMTP is configured with low privileges
GET /api
Response
200 — The requested information about whether SMTP is configured
Idstring
Gets or sets a unique identifier for this resource.IsConfiguredbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
Example Response
JSON
{
"Id": "string",
"IsConfigured": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
}Check whether SMTP is configured with low privileges
GET /api
Response
200 — The requested information about whether SMTP is configured
SmtpIsConfiguredobjectIdstring
Gets or sets a unique identifier for this resource.IsConfiguredbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
Example Response
JSON
{
"SmtpIsConfigured": {
"Id": "string",
"IsConfigured": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
}
}Get information about the SMTP (email) settings in use by the Octopus Server
GET /api
Response
200 — The requested SMTP configuration
SmtpConfigurationobjectDetailsobjectEnableSslbooleanIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.SendEmailFromstringSmtpHoststringSmtpPortnumber
Minimum0. Maximum65535.Timeoutinteger
Example Response
JSON
{
"SmtpConfiguration": {
"Details": {
"CredentialType": "string"
},
"EnableSsl": true,
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"SendEmailFrom": "string",
"SmtpHost": "string",
"SmtpPort": 0,
"Timeout": 0
}
}